Subject: bug#20038: 25.0.50; (elisp) `Hooks for Loading' not updated correctly

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 30 Apr 2016 19:19:23 +0200

Drew Adams <[email-masked]> writes:

> 1. All doc describing `eval-after-load' was removed from the Elisp 
> manual.   And doc for `with-eval-after-load' was added (OK).
>
> Unfortunately this paragraph was not updated or removed.  It presumably
> applies equally to `with-eval-afer-load':
>
>      Normally, well-designed Lisp programs should not use
>   `eval-after-load'.  If you need to examine and set the variables
>   defined in another library (those meant for outside use), you can do it
>   immediately--there is no need to wait until the library is loaded.  If
>   you need to call functions defined by that library, you should load the
>   library, preferably with `require' (*note Named Features::).

I've now updated this.

> 2. Although the doc describing `eval-after-load' was removed, and
> `eval-after-load' was removed from the index, there remain mentions of
> `eval-after-load' in the manual, with cross-references to the node that
> *used to* describe it, so you can find out more about it (but you
> cannot).  Node `Named Features', for example.  And node `Coding
> Conventions'.

I've now replaced virtually all mentions of `eval-after-load' with
`with-eval-after-load' in the manual.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no